> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Squad

> Get a specific squad.



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json get /squads/{squad_id}
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /squads/{squad_id}:
    get:
      tags:
        - squads
        - squads
      summary: Get Squad
      description: Get a specific squad.
      operationId: get_squad_squads__squad_id__get
      parameters:
        - name: squad_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Squad Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Squad'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    Squad:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        tenant_id:
          type: string
          format: uuid
          title: Tenant Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        agents:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Agents
        transfer_rules:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Transfer Rules
        routing_strategy:
          type: string
          title: Routing Strategy
        status:
          type: string
          title: Status
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - tenant_id
        - name
        - agents
        - routing_strategy
        - status
        - created_at
        - updated_at
      title: Squad
      description: Squad response model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````